=== debian/changelog ===
ros-indigo-ndt-registration (1.0.30-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Thu, 08 Oct 2015 22:00:00 -0000

ros-indigo-ndt-registration (1.0.29-0trusty) trusty; urgency=high

  *major refactoring
  * Contributors: Henrik Andreasson

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 07 Oct 2015 22:00:00 -0000

ros-indigo-ndt-registration (1.0.28-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.27-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.26-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Tue, 02 Dec 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.25-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Sun, 30 Nov 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.24-0trusty) trusty; urgency=high

  * small fix with install targets
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.23-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.20-0trusty) trusty; urgency=high

  * refactored code
  * modified p2d registration, works again
  * Contributors: Martin Magnusson, Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Thu, 20 Nov 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.18-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Tue, 08 Apr 2014 22:00:00 -0000

ros-indigo-ndt-registration (1.0.15-0trusty) trusty; urgency=high

  * fixes to makefiles wrt pcl
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.13-0trusty) trusty; urgency=high

  * fixing mess with pcl compatibility
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.12-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Mon, 02 Dec 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.10-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Mon, 02 Dec 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.9-0trusty) trusty; urgency=high

  * hydro release
  * Contributors: Tomasz Kuncer

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Sun, 01 Dec 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.8-0trusty) trusty; urgency=high

  * "1.0.8"
  * changelogs updated
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Sun, 01 Dec 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.7-0trusty) trusty; urgency=high

  * "1.0.7"
  * changelogs update
  * Added release flags to all CMake files
  * Re-organization of include files to follow ros convention, lots of changes
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.6-0trusty) trusty; urgency=high

  * "1.0.6"
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 19:13:00 -0000

ros-indigo-ndt-registration (1.0.5-0trusty) trusty; urgency=high

  * "1.0.5"
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 18:52:00 -0000

ros-indigo-ndt-registration (1.0.4-0trusty) trusty; urgency=high

  * "1.0.4"
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 18:40:00 -0000

ros-indigo-ndt-registration (1.0.3-0trusty) trusty; urgency=high

  * "1.0.3"
  * prepairing for second release candidate
  * CMake files fixed to output in the correct place
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 18:26:00 -0000

ros-indigo-ndt-registration (1.0.2-0trusty) trusty; urgency=high

  * "1.0.2"
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 12:58:00 -0000

ros-indigo-ndt-registration (1.0.1-0trusty) trusty; urgency=high

  * "1.0.1"
  * added changelog files to stream
  * removed message gen that was not needed and generating scary warnings
  * removed the precompiled binaries from the branch. those should not go on the repo
  * cleaned up some stuff
  * remove depreciated dependencies
  * the removal of rosbuild remains
  * compiled packages ndt_fuser  ndt_map  ndt_map_builder  ndt_mcl  ndt_registration  ndt_visualisation  perception_oru  pointcloud_vrml
  * Contributors: Todor Stoyanov, Tomasz Kuncer

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 11:33:00 -0000
